System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

11.31 Problem installing DiagProdCollections_C.12.01

SOLVED
Go to solution
Paul F Rose
Advisor

11.31 Problem installing DiagProdCollections_C.12.01

When I tried to install this depot on a rx2660, I received the following error:

 

ERROR: The dependencies for fileset

"WBEMP-FCP.CSP-RUN,r=B.11.31.1109.04.01" cannot be resolved

(see previous lines).

You must resolve the above dependencies before operating on

this fileset or change the "enforce_dependencies" option to

"false".

The corequisite "FC-COMMON.FC-SNIA,r>=B.11.31.1003.%" for

fileset "WBEMP-FCP.FCP-RUN,r=B.11.31.1109.04.01" cannot be

successfully resolved.

 

I located the most recent CommonIO bundle (r=B.11.31.1109), and was able to complete the installation.

 

Now, however, I am getting the following messges in the syslog:

 

Oct 26 10:05:01 jmmd1 syslog: Wed Oct 26 10:05:01 2011 PID = 10509 Line = "com.hp.gvsd64 /usr/l

ib/hpux64/libhbaapigvsd.so" HP SNIA Common - HBA_LoadLibrary: shl_load/dlopen failed with err n

o. 0

Oct 26 11:05:06 jmmd1 syslog: Wed Oct 26 11:05:06 2011 PID = 12586 Line = "com.hp.gvsd64 /usr/l

ib/hpux64/libhbaapigvsd.so" HP SNIA Common - HBA_LoadLibrary: shl_load/dlopen failed with err n

o. 0

Oct 26 12:05:12 jmmd1 syslog: Wed Oct 26 12:05:12 2011 PID = 14336 Line = "com.hp.gvsd64 /usr/l

ib/hpux64/libhbaapigvsd.so" HP SNIA Common - HBA_LoadLibrary: shl_load/dlopen failed with err n

o. 0

 

The file /usr/lib/hpux64/libhbaapigvsd.so is not installed (nor is there a libhbaapigvsd* file anywhere on the system.

 

Does anyone know were I can find the missing file, or how to prevent the error messages from occurring since I don't have any SNIA Fibre Cards installed?

3 REPLIES
Stephan.
Honored Contributor
Solution

Re: 11.31 Problem installing DiagProdCollections_C.12.01

Hi,

there are multiple solutions, installing the latest CommonIO was already the first right step - now you can choose:

 

1. disable the cimprovider 'HPUXFCProviderModule' running cimprovider -d -m 'HPUXFCProviderModule' 

 

2. edit /etc/hba.conf and comment out the snia section

#gvsd driver's SNIA API vendor implementation

#32 bit lib names end in '32'

#64 bit lib names end in '64'

# com.hp.gvsd32/usr/lib/hpux32/libhbaapigvsd.so

# com.hp.gvsd64/usr/lib/hpux64/libhbaapigvsd.so

 

3. 'swremove' VMGuestLib and vmProvider if not needed

 

All 3 will end the message spam, personally I did go with the 3rd one due to the fact that we did not need it on the system.

Paul F Rose
Advisor

Re: 11.31 Problem installing DiagProdCollections_C.12.01

I tried option 3 first, but that did not solve the problem. Option 2 did.

 

(I suspect this is really an issue with WBEMSvcs v 02.09.10 and not the DiagProdCollections).

Stephan.
Honored Contributor

Re: 11.31 Problem installing DiagProdCollections_C.12.01

Strange, on my systems it was fine after removing the software - did you restart the 'cimserver' after the swremove?